package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.MqttSyncLog;

/**
 * MQTT云上本地同步日志Service接口
 *
 * @author xzzn
 * @date 2025-11-12
 */
public interface IMqttSyncLogService
{
    /**
     * 查询MQTT云上本地同步日志
     *
     * @param id MQTT云上本地同步日志主键
     * @return MQTT云上本地同步日志
     */
    public MqttSyncLog selectMqttSyncLogById(Long id);

    /**
     * 查询MQTT云上本地同步日志列表
     *
     * @param mqttSyncLog MQTT云上本地同步日志
     * @return MQTT云上本地同步日志集合
     */
    public List<MqttSyncLog> selectMqttSyncLogList(MqttSyncLog mqttSyncLog);

    /**
     * 新增MQTT云上本地同步日志
     *
     * @param mqttSyncLog MQTT云上本地同步日志
     * @return 结果
     */
    public int insertMqttSyncLog(MqttSyncLog mqttSyncLog);

    /**
     * 修改MQTT云上本地同步日志
     *
     * @param mqttSyncLog MQTT云上本地同步日志
     * @return 结果
     */
    public int updateMqttSyncLog(MqttSyncLog mqttSyncLog);

    /**
     * 批量删除MQTT云上本地同步日志
     *
     * @param ids 需要删除的MQTT云上本地同步日志主键集合
     * @return 结果
     */
    public int deleteMqttSyncLogByIds(Long[] ids);

    /**
     * 删除MQTT云上本地同步日志信息
     *
     * @param id MQTT云上本地同步日志主键
     * @return 结果
     */
    public int deleteMqttSyncLogById(Long id);

    // 处理策略信息
    public void handleMqttStrategyData(String payload);
    // 处理设备告警保护信息
    public void handleMqttPlanData(String payload);
    // 处理设备保护策略触发的告警信息
    public void handleFaultAlarmData(String payload);
    // 处理保护策略告警信息
    public void handleFaultPlanIssueData(String payload);
    // 处理设备运行状态变更
    public void handleDeviceChangeLogData(String payload);
}
